Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
[Java] Class GroovyDefTag

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.GroovySyntaxTag
          org.codehaus.groovy.grails.web.taglib.GroovyDefTag

    public class GroovyDefTag
    extends GroovySyntaxTag

Allows defining of variables within the page context.

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `TAG_NAME`

Fields inherited from class GroovySyntaxTag
ATTRIBUTES_STATUS, ATTRIBUTE_IN, ATTRIBUTE_VAR, attributes, foreachRenamedIt, out, parser, tagContext

Method Summary
`void` | `doEndTag()`
`void` | `doStartTag()`
`java.lang.String` | `getName()`
`boolean` | `isAllowPrecedingContent()`
`boolean` | `isKeepPrecedingWhiteSpace()`

Methods inherited from class GroovySyntaxTag
calculateExpression, doEachMethod, endEachMethod, getForeachRenamedIt, init, isAllowPrecedingContent, isKeepPrecedingWhiteSpace, setAttribute, setAttributes, setWriter

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### TAG_NAME

    public static final java.lang.String TAG_NAME

Method Detail

### doEndTag

    public void doEndTag()

### doStartTag

    public void doStartTag()

### getName

    public java.lang.String getName()

### isAllowPrecedingContent

    @java.lang.Overridepublic boolean isAllowPrecedingContent() {
    public boolean isAllowPrecedingContent()

### isKeepPrecedingWhiteSpace

    @java.lang.Overridepublic boolean isKeepPrecedingWhiteSpace() {
    public boolean isKeepPrecedingWhiteSpace()

Groovy Documentation